Subject: Re: bug#35696: preview-latex does not work under any Emacs themes and bug#35571: 12.1; Changing foreground breaks previews

From: Ikumi Keita <[email-masked]>
Date: Sat, 18 May 2019 22:19:11 +0900

Hi Gennady and Hua,

>>>>> Gennady Uraltsev <[email-masked]> writes:
> Hello,
> It seems to be the same problem as I posted here:

> http://lists.gnu.org/archive/html/bug-auctex/2019-05/msg00000.html

Both confirmed.  David, do you have any outlook about this problem?  It
seems that gs 9.27 is incompatible with preview-latex when the default
face has non-trivial foreground color.
When the preview fails and I right-click the "do not enter" sign to
select "View error", the *Preview-Ghostscript-Error* buffer pops up and
shows the error quoted at the last of this message.  It tells that
"GS_PDF_ProcSet" caused the error and I found that the official
ghostscript document says "We eliminated GS_PDF_ProcSet" in [1].

Best regards,
Ikumi Keita

[1] https://www.ghostscript.com/doc/9.27/History9.htm

/usr/local/texlive/2019/bin/amd64-freebsd/rungs -dOutputFile\=\(tst-prv.prv/tmpgIMQ85/pr1-1.png\) -q -dDELAYSAFER -dNOPAUSE -DNOPLATFONTS -dPrinted -dTextAlphaBits\=4 -dGraphicsAlphaBits\=4 -sDEVICE\=png16m -r108.606x108.587
GS>{<</PermitFileReading[(tst-prv.pdf)(tst-prv.prv/tmpgIMQ85/preview.dsc)]>> setuserparams .locksafe} stopped pop {DELAYSAFER{.setsafe}if}stopped pop/.preview-BP currentpagedevice/BeginPage get dup null eq{pop{pop}bind}if def<</BeginPage{currentpagedevice/PageSize get dup 0 get 1 ne exch 1 get 1 ne or{.preview-BP 0.925795 0.925795 0.925795 setrgbcolor clippath fill 0.17969 0.203128 0.210941 setrgbcolor}{pop}ifelse}bind/PageSize[1 1]>>setpagedevice/preview-do{/.preview-ST[count 4 roll save]def dup length 0 eq{pop}{setpagedevice}{ifelse exec}stopped{handleerror quit}if .preview-ST aload pop restore}bind def /GS_PDF_ProcSet GS_PDF_ProcSet dup maxlength dict copy dup begin/graphicsbeginpage{//graphicsbeginpage exec 0.17969 0.203128 0.210941 3 copy rg RG}bind store end readonly store  (tst-prv.prv/tmpgIMQ85/preview.dsc)(r)file /.preview-ST 1 index def dup 0 setfileposition 415()/SubFileDecode filter cvx exec .preview-ST dup dup 415 setfileposition 53()/SubFileDecode filter cvx<<>>preview-do
Error: /undefined in GS_PDF_ProcSet
Operand stack:
   GS_PDF_ProcSet
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--
Dictionary stack:
   --dict:739/1123(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--
Current allocation mode is local
Last OS error: No such file or directory
Current file position is 641
GS<1>